%define version 2.0.6
%define release alt1
%setup_python_module egenix-mx-base

Summary: eGenix mx-Extensions for Python - BASE package
Name: %{packagename}
Version: %{version}
Release: %{release}
Source0: %{modulename}-%{version}.tar.gz
License: Copyright (c) 1997-2000, Marc-Andre Lemburg, All Rights Reserved; Copyright (c) 2000-2001, eGenix.com Software GmbH, All Rights Reserved
Group: Development/Python
Prefix: %{_prefix}
Vendor: Marc-Andre Lemburg <mal@egenix.com>
Url: http://www.egenix.com/files/python/eGenix-mx-Extensions.html
Obsoletes: egenix-mx-base < 2.0.3-alt8
Provides: egenix-mx-base  = %{version}

%description
The eGenix mx Extension Series are a collection of
Python extensions written in ANSI C and Python
which provide a large spectrum of useful additions
to everyday Python programming.

The BASE package includes the Open Source subpackages
of the series and is needed by all other add-on
packages of the series.

This software is brought to you by eGenix.com and
distributed under the eGenix.com Public License.

The following subpackages are included in the BASE package:  
  mxDateTime - Generic Date/Time Types
  mxTextTools - Fast Text Processing Tools
  mxStack - Fast and Memory-Efficient Stack Type
  mxTools - Collection of Additional Builtins
  mxProxy - Generic Proxy Wrapper Type
  mxBeeBase - On-disk B+Tree Based Database Kit

%prep
%setup  -q -n %modulename-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

grep -v /usr/doc INSTALLED_FILES |
	grep -v TextTools/mxTextTools/test.py |
	grep -v BeeBase/showBeeDict.py |
	grep -v Misc/FileLock.py |
	grep -v Stack/stackbench.py |
	grep -v mx/Doc |
	grep -v "mx/.*/Doc" |
	grep -v Queue/queuebench.py > installed_files
	
# -    
%add_python_req_skip Constants

%files -f installed_files
%defattr(-,root,root)
%doc README mx/Doc/* 

%changelog
* Tue Jan 11 2005 Andrey Orlov <cray@altlinux.ru> 2.0.6-alt1
- New Version
- Package provide egenix-mx-base with version now (#5765)

* Sat Jul 10 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt11
- Typo error in spec fixed

* Sat Jul 03 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt10
- Provides egenix-mx-base added 

* Thu May 20 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt9
- Previous package obsoleted

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt8
- Conditional packaging operators excluded from spec;

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt7.d
- Rebuild

* Thu Apr 22 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt6.d
- Some unusable files excluded (because of invalid dependences, preliminary
  fix);
- Docs moved into /usr/share/doc;
- Requirements of python2.3(Constants) excluded;

* Thu Apr 22 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt5.d
- REbuild with new macros

* Wed Apr 14 2004 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt4.d
- Fix new python policy compatibility

* Mon Dec 01 2003 Andrey Orlov <cray@altlinux.ru> 2.0.3-alt3
- Try Rebuild With Py23

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 2.0.3-alt2
- rebuild in new environment

* Fri Mar 29 2002 Maxim Dzumanenko <mvd@altlinux.ru> 2.0.3-alt1
- first version


